<?php

/**
 * The browse chart list file of kuntaichart module
 *
 * @copyright   上海锟钛软件科技有限公司 2022
 * @license     ZPL(http://zpl.pub/page/zplv12.html) or MIT
 * @author      kuntai<kuntai@kuntaisoft.cn>
 * @link        http://www.kuntaisoft.cn
 */
?>
<?php include $app->getModuleRoot() . "common/view/header.html.php"; ?>
<?php include '../../common/view/datepicker.html.php'; ?>
<?php include './indexheader.html.php'; ?>

<div id="mainContent" class="main-row fade">
	<div class="side-col" id="sidebar">
		<div class="sidebar-toggle"><i class="icon icon-angle-left"></i></div>
		<div class="cell">
			<div class='panel-heading nobr'><?php echo html::icon($lang->icons['company']); ?> <strong>
					<?php common::printLink('kuntaichart', $methodName, "", $lang->kuntaichart->{$methodName}); ?></strong>
			</div>
			<div class='panel-body'>
				<ul class="tree treeview">
					<li>Item 1</li>
					<li>Item 2</li>
					<li><a href="http://www.kuntaisoft.cn" class="btn btn-primary " target="_blank"> 上海锟钛</a></li>
				</ul>
			</div>

			<div class="row">
				<br>
				<br>


			</div>
		</div>
	</div>
	<div class='main'>
		<form method='post' class="main-table table-user" target="hiddenwin" data-ride='table'>
			<table class='table table-condensed table-hover table-striped tablesorter' id='chartlist'>
				<thead>
					<tr class='colhead'>
						<?php $vars = "&period=$period&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}"; ?>
						<th class='w-id nobr'><?php common::printorderlink('id', $orderBy, $vars, $lang->idAB); ?></th>
						<th class='w-auto nobr'><?php common::printOrderLink('start', $orderBy, $vars, $lang->kuntaichart->start); ?></th>
						<th class='w-80px nobr'><?php common::printOrderLink('total', $orderBy, $vars, $lang->kuntaichart->total); ?></th>
						<th class='w-80px nobr'><?php common::printOrderLink('monitor', $orderBy, $vars, $lang->kuntaichart->monitor); ?></th>
						<th class='w-50px {sorter:false}  nobr'><?php echo $lang->actions; ?></th>
					</tr>
				</thead>
				<tbody>

					<?php foreach ($myItems as $myItem) : ?>
						<tr class='text-center'>
							<td><?php echo $myItem->id; ?></td>
							<td><?php echo Date("Y-m-d H:i", $myItem->start); ?></td>
							<td><?php echo $myItem->total; ?></td>
							<td><?php echo $myItem->monitor; ?></td>
							<td class='text-center c-actions'>
								<?php
								common::printIcon('kuntaichart', 'chartview', "id=$myItem->id", '', '', 'search', '', 'iframe', 'yes');
								?>
							</td>
						</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
			<div class='table-footer'>
				<?php
				$pager->show('right', 'pagerjs');
				?>
			</div>
		</form>
		<div id="lowie-main">
			<div id="theme-example"><br>
				<h4>需要的SQL测试数据</h4> 1、请打开禅道的数据库
				2、检查下表格kt_chartexample 表格存在。3、运行下面语句，插入数据库。
				<pre class="html">
--	可以通过下面语句移动时间：
	UPDATE kt_chartexample set start = start + 225237318

--
-- Data for table kt_chartexample
--
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (1, 1671867918, 1200, 632);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (2, 1671869118, 540, 302);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (3, 1671869718, 790, 427);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (4, 1671870318, 1198, 631);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (5, 1671870918, 692, 378);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (6, 1671871518, 656, 360);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (7, 1671872118, 924, 494);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (8, 1671872718, 102, 83);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (9, 1671873918, 636, 350);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (10, 1671874518, 792, 428);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (11, 1671875118, 226, 145);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (12, 1671875718, 970, 517);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (13, 1671876318, 1138, 601);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (14, 1671876918, 338, 201);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (15, 1671878118, 974, 519);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (16, 1671878718, 982, 523);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (17, 1671935550, 34, 49);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (18, 1671935718, 30, 47);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (19, 1671936318, 206, 135);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (20, 1671936918, 24, 44);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (21, 1671937518, 1190, 627);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (22, 1671938118, 960, 512);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (23, 1671938718, 1026, 545);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (24, 1671939318, 464, 264);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (25, 1671939918, 558, 311);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (26, 1671940518, 408, 236);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (27, 1671941118, 44, 54);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (28, 1671942918, 18, 41);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (29, 1671943518, 888, 476);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (30, 1671944118, 778, 421);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (31, 1671944718, 914, 489);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (32, 1671948918, 36, 50);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (33, 1671949518, 768, 416);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (34, 1671950118, 1038, 551);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (35, 1671950718, 150, 107);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (36, 1671951318, 1034, 549);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (37, 1671951918, 884, 474);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (38, 1671952518, 1200, 632);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (39, 1671953118, 1200, 632);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (40, 1671953718, 812, 438);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (41, 1671954318, 416, 240);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (42, 1671954918, 768, 416);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (43, 1671955518, 432, 248);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (44, 1671956118, 204, 134);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (45, 1671956718, 168, 116);
INSERT INTO `kt_chartexample`(`id`, `start`, `total`, `monitor`) VALUES (46, 1671957318, 36, 50);

</pre>
			</div>
		</div>
	</div>
</div>
<?php include $app->getModuleRoot() . "common/view/footer.html.php"; ?>
<script lanugage='javascript'>
	$('#<?php echo $methodName; ?>').addClass('active');

	var methodName = '<?php echo $methodName; ?>';
	var targetID = '<?php echo isset($id) ? $id : 0; ?>';
	<?php if (isset($lastMonth)) : ?>
		var lastMonth = '<?php echo $lastMonth; ?>';
		var nextMonth = '<?php echo $nextMonth; ?>';
	<?php endif; ?>
</script>